"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentMap = void 0;
class ComponentMap extends Map {
    constructor(entries) {
        var _a;
        if (!entries || entries.length === 1) {
            super(entries);
            return;
        }
        const mergedEntries = new Map();
        for (const [entryComponentType, entryOptions] of entries) {
            mergedEntries.set(entryComponentType, [...((_a = mergedEntries.get(entryComponentType)) !== null && _a !== void 0 ? _a : []), ...entryOptions]);
        }
        super(mergedEntries.entries());
    }
    get(key) {
        return super.get(key);
    }
}
exports.ComponentMap = ComponentMap;
//# sourceMappingURL=componentMap.js.map