"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FulfillmentProvider = exports.TaxProvider = void 0;
const build_provider_decorator_1 = require("./helpers/build-provider-decorator");
/**
 * Mark a class as a tax provider to be used by the loader.
 * @param options
 * @constructor
 */
function TaxProvider(options = {}) {
    return (0, build_provider_decorator_1.buildProviderDecorator)(Object.assign({ type: 'provider', subtype: 'tax' }, options));
}
exports.TaxProvider = TaxProvider;
/**
 * Mark a class as a fulfillment provider to be used by the loader.
 * @param options
 * @constructor
 */
function FulfillmentProvider(options = {}) {
    return (0, build_provider_decorator_1.buildProviderDecorator)(Object.assign({ type: 'provider', subtype: 'fulfillment' }, options));
}
exports.FulfillmentProvider = FulfillmentProvider;
//# sourceMappingURL=providers.decorator.js.map